#include <iostream>
#include <string.h>
using namespace std;
int main(){
	ios_base::sync_with_stdio(0);
	cin.tie(0);
	char c1,c2;
	int a1,a2;
	char c[3];
	fgets(c,3,stdin);
	c1=c[0];
	c2=c[1];
	cin >> a1 >> a2;
	if(max(a1,a2)-1 > min(a1,a2)||c1==c2)
		cout << "nemoguce" << "\n";
	else{
		string a;
		//char t1=max(c1,c2);
		//char t2=min(c1,c2);
		for(int i=0; i < a1+a2; i++){
			if(a1>a2){
				if(i&1) a=a+c2;
				else a=a+c1;
			}
			else{
				if(i&1) a=a+c1;
				else a=a+c2;
			}
		}
		cout << a << "\n";
	}
}